mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags

The members of the enumeration are divided into two groups, the variance group and the special constraints group. To test a value for variance flags, first perform a bitwise AND operation with . If the result is , there are no variance flags. Similarly, use to test for constraint flags.

Describes the constraints on a generic type parameter of a generic type or method.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  The generic type parameter is contravariant. A contravariant type parameter can appear as a parameter type in method signatures.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  The generic type parameter is covariant. A covariant type parameter can appear as the result type of a method, the type of a read-only field, a declared base type, or an implemented interface.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  A type can be substituted for the generic type parameter only if it has a parameterless constructor.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  There are no special flags.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  A type can be substituted for the generic type parameter only if it is a value type and is not nullable.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  A type can be substituted for the generic type parameter only if it is a reference type.

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  Selects the combination of all special constraint flags. This value is the result of using logical OR to combine the following flags: , , and .

- Field
  2.0.0.0
  4.0.0.0
  System.Reflection.GenericParameterAttributes

  Selects the combination of all variance flags. This value is the result of using logical OR to combine the following flags: and .